CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
CPoint.cpp File Reference
`#include "CPoint.h"`

Go to the source code of this file.

## Functions
CPoint | operator* (int c, CPoint Q)
CPoint | operator* (float c, CPoint Q)
CPoint | operator* (double c, CPoint Q)
CPoint | operator* (CPoint Q, int c)
CPoint | operator* (CPoint Q, float c)
CPoint | operator* (CPoint Q, double c)
CPoint | operator/ (CPoint Q, int c)
CPoint | operator/ (CPoint Q, float c)
CPoint | operator/ (CPoint Q, double c)
CPoint | operator+ (CPoint Q, CPoint R)

## Function Documentation

CPoint operator* | ( | int | c,
|  | CPoint | Q
| ) |  |

Definition at line 246 of file CPoint.cpp.

References csl::CPoint::dim(), csl::CPoint::dimn, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

CPoint operator* | ( | float | c,
|  | CPoint | Q
| ) |  |

Definition at line 255 of file CPoint.cpp.

References csl::CPoint::dim(), csl::CPoint::dimn, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

CPoint operator* | ( | double | c,
|  | CPoint | Q
| ) |  |

Definition at line 264 of file CPoint.cpp.

References csl::CPoint::dim(), csl::CPoint::dimn, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

CPoint operator* | ( | CPoint | Q,
|  | int | c
| ) |  |

Definition at line 273 of file CPoint.cpp.

References csl::CPoint::dim(), csl::CPoint::dimn, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

CPoint operator* | ( | CPoint | Q,
|  | float | c
| ) |  |

Definition at line 282 of file CPoint.cpp.

References csl::CPoint::dim(), csl::CPoint::dimn, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

CPoint operator* | ( | CPoint | Q,
|  | double | c
| ) |  |

Definition at line 291 of file CPoint.cpp.

References csl::CPoint::dim(), csl::CPoint::dimn, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

CPoint operator/ | ( | CPoint | Q,
|  | int | c
| ) |  |

Definition at line 300 of file CPoint.cpp.

References csl::CPoint::dim(), csl::CPoint::dimn, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

CPoint operator/ | ( | CPoint | Q,
|  | float | c
| ) |  |

Definition at line 309 of file CPoint.cpp.

References csl::CPoint::dim(), csl::CPoint::dimn, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

CPoint operator/ | ( | CPoint | Q,
|  | double | c
| ) |  |

Definition at line 318 of file CPoint.cpp.

References csl::CPoint::dim(), csl::CPoint::dimn, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

CPoint operator+ | ( | CPoint | Q,
|  | CPoint | R
| ) |  |

Definition at line 329 of file CPoint.cpp.

References csl_max, csl::CPoint::dim(), csl::CPoint::dimn, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.